[Xquartz-changes] [587] tinderbox/tinderbox_test.sh

source_changes at macosforge.org source_changes at macosforge.org
Tue Nov 1 14:36:11 PDT 2011


Revision: 587
          http://trac.macosforge.org/projects/xquartz/changeset/587
Author:   jeremyhu at freedesktop.org
Date:     2011-11-01 14:36:11 -0700 (Tue, 01 Nov 2011)
Log Message:
-----------
Update SA logic

Modified Paths:
--------------
    tinderbox/tinderbox_test.sh

Modified: tinderbox/tinderbox_test.sh
===================================================================
--- tinderbox/tinderbox_test.sh	2011-10-31 23:13:24 UTC (rev 586)
+++ tinderbox/tinderbox_test.sh	2011-11-01 21:36:11 UTC (rev 587)
@@ -73,6 +73,9 @@
     JHBUILD="linux32 ${JHBUILD}"
     LD_LIBRARY_PATH="${PREFIX}/lib:${JHBUILDDIR}/external/build/lib${LD_LIBRARY_PATH+:${LD_LIBRARY_PATH}}"
     URL="http://jeremyhu-tifa-linux32:xFDSPr@tinderbox.x.org/builds/rpc"
+
+    # http://llvm.org/bugs/show_bug.cgi?id=11028
+    export STATIC_ANALYSIS=False
     ;;
   tifa-linux64)
     TB_CFLAGS="${TB_CFLAGS} -mminimal-toc"
@@ -127,7 +130,12 @@
 
     # Remove empty directories
     rmdir ${JHBUILDDIR}/${ANALYZERSUBDIR}/* >& /dev/null || true
+    rmdir ${JHBUILDDIR}/${ANALYZERSUBDIR} >& /dev/null || true
 
+    if [[ ! -d "${JHBUILDDIR}/${ANALYZERSUBDIR}" ]] ; then
+        return 0
+    fi
+
     # Remove analyzer's created subdirectories
     for projdir in ${JHBUILDDIR}/${ANALYZERSUBDIR}/* ; do
         mv ${projdir}/20*-*-*-*/* ${projdir}
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://lists.macosforge.org/pipermail/xquartz-changes/attachments/20111101/6f515106/attachment.html>


More information about the Xquartz-changes mailing list